Crea un proyecto. Los proyectos agrupan clústeres en colecciones lógicas que respaldan un entorno de aplicación, una carga de trabajo o ambos. Cada proyecto puede tener sus propios usuarios, equipos, configuraciones de seguridad, etiquetas y alertas. Para utilizar este recurso, la cuenta de servicio de solicitud o clave de API debe tener el rol de lectura y guardar.
Parámetros de query
-
Bandera que indica si la aplicación envuelve la respuesta en un objeto JSON
envelope. Algunos clientes de la API no pueden acceder a los encabezados de respuesta HTTP ni al código de estado. Para remediar esto, establece envelope=true en la query. Los endpoints que devuelven una lista de resultados utilizan el objeto de resultados como un sobre. La aplicación agrega el parámetro de estado al cuerpo de la respuesta.El valor por defecto es
false. -
Bandera que indica si el cuerpo de la respuesta debe estar en el formato prettyprint.
El valor por defecto es
false.Impresión bonita -
string única de 24 dígitos hexadecimales que identifica al usuario de MongoDB nube al que se le otorgará el rol de Propietario del Proyecto en el Proyecto especificado. Si se establece este parámetro, anula el valor por defecto del propietario de la organización más antiguo.
El formato debe coincidir con el siguiente patrón:
^([a-f0-9]{24})$.
Cuerpo
Requerido
Crea un proyecto.
-
Etiqueta legible por humanos que identifica el proyecto incluido en la organización MongoDB Cloud.
El formato debe coincidir con el siguiente patrón:
^[\p{L}\p{N}\-_.(),:&@+']{1,64}$. -
string única de 24 dígitos hexadecimales que identifica la organización de MongoDB nube a la que pertenece el Proyecto.
El formato debe coincidir con el siguiente patrón:
^([a-f0-9]{24})$. -
Se aplica únicamente a Atlas para Gobierno.
En Commercial Atlas, este campo será rechazado en las solicitudes y se omitirá en las respuestas.
Este campo establece restricciones sobre las regiones disponibles en el proyecto.
COMMERCIAL_FEDRAMP_REGIONS_ONLY:Solo permite implementaciones en regiones moderadas de FedRAMP.GOV_REGIONS_ONLYSolo permite implementaciones en regiones de GovCloud.Los valores son
COMMERCIAL_FEDRAMP_REGIONS_ONLYoGOV_REGIONS_ONLY. El valor por defecto esCOMMERCIAL_FEDRAMP_REGIONS_ONLY.Documentación externa -
Indicador que muestra si se debe crear el proyecto con la configuración de alertas por defecto.
El valor por defecto es
true.
curl \
--request POST 'https://cloud.mongodb.com/api/atlas/v1.0/groups' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"name":"string","orgId":"32b6e34b3d91647abb20e7b8","regionUsageRestrictions":"COMMERCIAL_FEDRAMP_REGIONS_ONLY","tags":[{"key":"string","value":"string"}],"withDefaultAlertsSettings":true}'
{
"name": "string",
"orgId": "32b6e34b3d91647abb20e7b8",
"regionUsageRestrictions": "COMMERCIAL_FEDRAMP_REGIONS_ONLY",
"tags": [
{
"key": "string",
"value": "string"
}
],
"withDefaultAlertsSettings": true
}
{
"clusterCount": 42,
"created": "2026-05-04T09:42:00Z",
"id": "32b6e34b3d91647abb20e7b8",
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"name": "string",
"orgId": "32b6e34b3d91647abb20e7b8",
"regionUsageRestrictions": "COMMERCIAL_FEDRAMP_REGIONS_ONLY",
"tags": [
{
"key": "string",
"value": "string"
}
],
"withDefaultAlertsSettings": true
}
{
"error": 400,
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"reason": "Bad Request",
"errorCode": "VALIDATION_ERROR"
}
{
"error": 401,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Unauthorized",
"errorCode": "NOT_ORG_GROUP_CREATOR"
}
{
"error": 403,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Forbidden",
"errorCode": "CANNOT_CHANGE_GROUP_NAME"
}
{
"error": 404,
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"reason": "Not Found",
"errorCode": "RESOURCE_NOT_FOUND"
}
{
"error": 409,
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot delete organization link while there is active migration in following project ids: 60c4fd418ebe251047c50554",
"reason": "Conflict",
"errorCode": "CANNOT_DELETE_ORG_ACTIVE_LIVE_MIGRATION_ATLAS_ORG_LINK"
}
{
"error": 500,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Internal Server Error",
"errorCode": "UNEXPECTED_ERROR"
}